Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-47603

[REG 5.4->5.5] Ministro repository is now broken

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.5.0
    • Fix Version/s: 5.5.0
    • Component/s: Packaging & Installer
    • Labels:
      None
    • Environment:
      Nexus 7 @ Android 5.1
    • Platform/s:
      Android

      Description

      The 5.5 version of Qt in Ministro repository doesn't have any dependencies specified, so "dlopen failed: library "libgnustl_shared.so" not found" errors appear on any attempt to use Ministro. libgnustl_shared is now not even listed in the repository but is still required by the libs.
      The difference can be seen here:
      https://download.qt.io/ministro/android/qt5/qt-5.4/stable/armeabi/android-22/libs-5.4.xml https://download.qt.io/ministro/android/qt5/qt-5.5/stable/armeabi/android-22/libs-5.5.xml

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            taipan BogDan Vatra
            Reporter:
            n0n3m4 Roman Lebedev
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes